Name: emu10k1-tools
Version: 20021121
Release: alt2

Summary: Some useful tools for sound cards with emu10k1 chip
Group: System/Base
License: GPL

Source0: emu10k1-%version.tar.bz2
Patch0: emu10k1-aumix.patch
BuildRequires: kernel-headers-std-up

%description
Some useful tools for sound cards with emu10k1 chip

%prep
%setup -q -n emu10k1
%patch0 -p1

%build
pushd utils
    	    make clean
    	    make CFLAGS="$RPM_OPT_FLAGS"
    	    perl -pi -e "s/^BASE_PATH.*/BASE_PATH=\/usr/" scripts/emu-script
    	    perl -pi -e "s/^  \. \$BASE_PATH.*/  \. \/etc\/emu10k1.conf/" scripts/emu-script
popd
pushd utils/dbgemu
	    make clean
	    /usr/bin/gcc -o dbgemu $RPM_OPT_FLAGS dbgemu.c
popd

%install
pushd utils
    	    make prefix=$RPM_BUILD_ROOT/usr man_prefix=$RPM_BUILD_ROOT%_mandir script_dir=$RPM_BUILD_ROOT%_sysconfdir install
    	    mv $RPM_BUILD_ROOT/etc/emu-script $RPM_BUILD_ROOT%_bindir
	    install -p -m755 play-ac3/play-{ac3,raw} $RPM_BUILD_ROOT%_bindir
popd
pushd utils/dbgemu
	    install -p -m755 dbgemu $RPM_BUILD_ROOT%_bindir
popd

mv $RPM_BUILD_ROOT%_sysconfdir/audigy-script $RPM_BUILD_ROOT%_bindir

%files
%dir %_datadir/emu10k1
%_datadir/emu10k1/*
%_mandir/man1/as10k1.1*
%_mandir/man1/emu-*
%_bindir/as10k1
%_bindir/dbgemu
%_bindir/play-*
%_bindir/emu-*
%_bindir/audigy-script
%config %_sysconfdir/emu10k1.conf

%changelog
* Tue Sep 09 2003 Rider <rider@altlinux.ru> 20021121-alt2
- fixed build requires 

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 20021121-alt1
- 20021121

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 20021024-alt1
- 20021024
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020605-alt1
- 20020605

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020331-alt1
- 20020331

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020317-alt1
- 20020317

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020219-alt1
- 20020219

* Mon Jan 14 2002 Konstantin Volckov <goldhead@altlinux.ru> 20020112-alt1
- 20020112

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011214-alt1
- 20011214

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011119-alt1
- 20011119

* Fri Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011030-alt1
- 20011030

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 20011007-alt1
- First build for Sisyphus
